Page MenuHomePhabricator

Initial buildbot image for Windows with Visual Studio 2019
ClosedPublic

Authored by kuhnel on Jun 30 2020, 6:25 AM.

Details

Summary

First shot at a docker image for building on Windows. It's a mixture of the image we're using for pre-merge testing and the buildbot-mlir-nvidia image. It's not yet tested.

The current state of the buildbot is on http://lab.llvm.org:8014/builders/clang-x86-ninja-win10

Diff Detail

Event Timeline

kuhnel created this revision.Jun 30 2020, 6:25 AM
kuhnel retitled this revision from initial docker image for windows with vscode to Initial buildbot image for Windows with Visual Studio 2019.Jul 1 2020, 1:07 AM
kuhnel updated this revision to Diff 275050.Jul 2 2020, 4:02 AM

added pywin32 package

kuhnel updated this revision to Diff 275052.Jul 2 2020, 4:04 AM

fixed branch for diff

kuhnel edited the summary of this revision. (Show Details)Jul 2 2020, 4:08 AM
Harbormaster completed remote builds in B62652: Diff 275052.
tra accepted this revision.Jul 6 2020, 11:12 AM
tra added inline comments.
buildbot/google/docker/windows-base-vscode2019/Dockerfile
65

I'd use \volume\<docker-volume-name>.
Volumes are fairly common source of surprises. Making it obvious that some path involves external magic removes one source of surprises. Making name consistent with external configuration saves time on figuring out where particular bits really come from.

buildbot/google/docker/windows.md
34

Nit: I'd wrap the long lines to make it more readable as plain text.

This revision is now accepted and ready to land.Jul 6 2020, 11:12 AM
PaulkaToast added inline comments.Jul 6 2020, 12:57 PM
buildbot/google/docker/README.md
27

Sorry to nit but this file and a couple others are missing a newline at EOF.

kuhnel updated this revision to Diff 279773.Jul 22 2020, 5:09 AM
kuhnel marked 3 inline comments as done.

addressed review comments

also fixed UTF-8/16 issues

This revision was automatically updated to reflect the committed changes.